export declare function assert(condition: unknown, message?: string): asserts condition;
export declare function signalInvalidType(type: never): never;
export declare const mapEntries: <K extends string, S, T>(object: Record<K, S>, map: (entry: [key: K, value: S]) => T) => Record<K, T>;
export declare const mapKeys: <K extends string, S, T>(object: Record<K, S>, map: (key: K) => T) => Record<K, T>;
export declare const mapValues: <K extends string, S, T>(object: Record<K, S>, map: (value: S) => T) => Record<K, T>;
