// Values
// Utilities
export function typeOf(value) {
    if (value === null) {
        return "null";
    }
    else if (typeof value === "boolean") {
        return "boolean";
    }
    else if (typeof value === "number") {
        return "number";
    }
    else if (typeof value === "string") {
        return "string";
    }
    else if (value instanceof Uint8Array) {
        return "Uint8Array";
    }
    else if (Array.isArray(value)) {
        return "Array";
    }
    else {
        return "Object";
    }
}
